d3.csv('https://gist.githubusercontent.com/Rajayaswanthvarma/162e437a4228a2f4356d8e224447d001/raw/c9467e2276d47939e9c4b06b740051946ba16436/ICE6_dogbreeds.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var color1 = {
	x:unpack(rows, 'max_height_male'), y: unpack(rows, 'max_height_female'), z: unpack(rows, 'max_weight_male'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(12, 240, 233, 1,0)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var color2 = {
	x:unpack(rows, 'max_height_male'), y: unpack(rows, 'max_height_female'), z: unpack(rows, 'max_weight_female'),
	mode: 'markers',
	marker: {
		color: 'rgb(150, 150, 15)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(250, 250, 250)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [color1, color2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
